## png23d 1.10

=== Makefile ===
#!/usr/bin/make
#
# png23d is a program to convert png images into 3d files
#
# Copyright 2011 Vincent Sanders <vince@kyllikki.org>
#
# Released under the MIT License, 
#   http://www.opensource.org/licenses/mit-license.php

VERSION=100

PREFIX?=/usr/local

WARNFLAGS = -W -Wall -Wundef -Wpointer-arith \
        -Wcast-align -Wwrite-strings -Wstrict-prototypes \
        -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls \
        -Wnested-externs
ifneq ($(GCCVER),2)
  WARNFLAGS += -Wno-unused-parameter 
endif

OPTFLAGS=-O2
#OPTFLAGS=-O0

CFLAGS+=$(WARNFLAGS) -MMD -DVERSION=$(VERSION) $(OPTFLAGS) -g

LDFLAGS+=-lpng

PNG23D_OBJ=png23d.o option.o bitmap.o mesh.o mesh_gen.o mesh_index.o mesh_simplify.o out_pgm.o out_rscad.o out_pscad.o out_stl.o

.PHONY : all clean

all:png23d

png23d:$(PNG23D_OBJ)

-include $(PNG23D_OBJ:.o=.d)

-include test/Makefile.sub

clean: testclean
	${RM} png23d $(PNG23D_OBJ) *.d *~ png23d.png

install:png23d
	install -D png23d $(DESTDIR)$(PREFIX)/bin

install-man:png23d.1
	install -D png23d.1 $(DESTDIR)$(PREFIX)/share/man/man1

# logo creation
png23d.png:png23d.pov
	povray +L/usr/share/povray/include/ -D +Q11 +O$@ +UV +UL +A0.2 +FP8 +W400 +H300 $<

=== debian/changelog ===
png23d (1.10-3) unstable; urgency=medium

  * QA upload.

  * Forwarded patches upstream and added metadata to the files.
  * Added autopkgtest script running the build time test suite

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 22 Aug 2024 08:45:40 +0200

png23d (1.10-2) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Bump debhelper from deprecated 8 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Switched homepage URL to new working one. (Closes: #1068946)
  * Changed Maintainer to Debian QA Group, as the package is orphaned.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 22 Aug 2024 00:08:53 +0200

png23d (1.10-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply a patch by Vagrant Cascadian to make the build reproducible.
    (Closes: #1020805)

 -- Chris Lamb <lamby@debian.org>  Thu, 17 Nov 2022 17:52:41 +0000

png23d (1.10-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  [ Daniel T Chen ]
  * d/p/ld_as-needed.patch: add ld_as-needed.patch to fix FTBFS
    (Closes: #812988).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Jan 2016 12:46:16 +0100

png23d (1.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with libpng16, patch from Nobuhiro (Closes: #650567)
  * Add watchfile from PTS

 -- Tobias Frost <tobi@debian.org>  Thu, 07 Jan 2016 22:42:21 +0100

png23d (1.10-1) unstable; urgency=low

  * Initial release (Closes: #648006)

 -- Vincent Sanders <vince@debian.org>  Mon, 07 Nov 2011 22:58:31 +0000

=== debian/control ===
Source: png23d
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libpng-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/kyllikki/png23d
Vcs-Browser: https://salsa.debian.org/debian/png23d
Vcs-Git: https://salsa.debian.org/debian/png23d.git

Package: png23d
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Converts PNG images into three dimensional representations.
 This tool converts images in the PNG format into OpenSCAD or STL files
 with extensive control over the conversion process.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

=== debian/watch ===
version=3
https://github.com/kyllikki/png23d/tags \
.*[^n]/(?:|v|version-|release-|r|REL_|rel-|png23d(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
